{% extends 'core.html' %} 

{% block title %}Historial de Compras{% endblock %} 

{% load crispy_forms_tags %}

{% block staticload %}
{% load static %} 
<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.18/af-2.3.3/b-1.5.6/b-colvis-1.5.6/b-flash-1.5.6/b-html5-1.5.6/b-print-1.5.6/cr-1.5.0/fc-3.2.5/fh-3.1.4/kt-2.5.0/r-2.2.2/rg-1.1.0/rr-1.2.4/sc-2.0.0/sl-1.3.0/datatables.min.css"/>
<link rel="stylesheet" type="text/css" href="{% static 'users/css/table.css' %}">
{% endblock %} 

{% block content %}
<div class="container">
    <div class="card text-center mt-5">
        <div class="card-header bg-dark text-white">Historial de Transacciones</div>
    </div>
</div>
<div class="container mt-5 mb-5"></div>
<div class="container">
    <table id="transaction-table" class="table table-striped">
    <thead class="thead-dark">
        <tr>
        <th scope="col">Usuario</th>
        <th scope="col">Cantidad</th>
        <th scope="col">Precio</th>
        <th scope="col">Fecha</th>
        <th scope="col">Hora</th>
        </tr>
    </thead>
    <tbody>
    {% for transaction in transactions %}
        <tr>
        <td>{{transaction.buyer}}</td>
        <td>{{transaction.publication_number}}</td>
        <td>$ {{transaction.total_price}}</td>
        <td>{{ transaction.transaction_date_time.date }}</td>
        <td>{{ transaction.transaction_date_time.time }}</td>
        </tr>
    {% endfor %}
    </tbody>
</table>
</div>
{% endblock %}

{% block scriptfiles %}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.18/af-2.3.3/b-1.5.6/b-colvis-1.5.6/b-flash-1.5.6/b-html5-1.5.6/b-print-1.5.6/cr-1.5.0/fc-3.2.5/fh-3.1.4/kt-2.5.0/r-2.2.2/rg-1.1.0/rr-1.2.4/sc-2.0.0/sl-1.3.0/datatables.min.js"></script>
<script type="text/javascript" src="{% static 'users/scripts/tablecontroler.js' %}"></script>
{% endblock %}